<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
        <artifactId>smarterFramework</artifactId>
        <groupId>com.smarterFramework</groupId>
        <version>1.0.0</version>
    </parent>
	<modelVersion>4.0.0</modelVersion>
	<artifactId>sf-apijson</artifactId>
	<packaging>jar</packaging>

	<description>APIJSON ORM Library framework orm 5.2.0</description>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
		<java.version>1.8</java.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>org.postgresql</groupId>
			<artifactId>postgresql</artifactId>
			<version>42.3.3</version>
		</dependency>
		<!-- 单元测试：可使用 libs 目录的 unitauto-java.jar 和 unitauto-jar.jar 来替代，两种方式二选一 <<<<<<<<< -->
		<dependency>
			<groupId>com.github.TommyLemon</groupId>
			<artifactId>unitauto-java</artifactId>
			<version>2.7.2</version>
		</dependency>
		<dependency>
			<groupId>com.github.TommyLemon</groupId>
			<artifactId>unitauto-jar</artifactId>
			<version>2.7.2</version>
		</dependency>
		<!-- 单元测试：可使用 libs 目录的 unitauto-java.jar 和 unitauto-jar.jar 来替代，两种方式二选一 >>>>>>>>> -->
		<!-- 通用工具-->
        <dependency>
            <groupId>com.smarterFramework</groupId>
            <artifactId>sf-common</artifactId>
        </dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>